Subject: bug#25708: 25.1.91; Allow users to inhibit printing for 'emacsclient -c -t'

From: Alex Hutcheson <[email-masked]>
Date: Mon, 13 Feb 2017 14:46:34 -0500

Sometimes I want to eval some elisp at the command line exclusively to
set up some buffers for me to work with in a new frame. For example, to
diff two files, I often do:
   emacsclient -c -e '(ediff "fileA" "fileB")

This works, but emacsclient annoyingly prints the result of the eval'ed
expression to stdout. In this case, I'll get:
   #<buffer *Ediff Control Panel*>

This output is annoying, and it can't be redirected (`emacsclient -c' on a
terminal fail to launch if stdout is redirected, for obvious reasons).

It would be great if emacsclient had a way to inhibit printing the
result, for cases where the user is only eval'ing the expressions for
their side effects.